#include "mat4.h"

#ifndef _TETRA
#define _TETRA

	class Tetra {
	public:
		Tetra();
		void UpdateMatrix();

		Mat4 T;									// used for barycentric coordinates 
		Vertex* p1;
		Vertex* p2;
		Vertex* p3;
		Vertex* p4;
		int n1, n2, n3, n4;			// index im vertexArray
	};

#endif